<template>
  <div class="column">
    <h5>{{title}}<span>{{items.length}}</span></h5>
    <div class="card">
      <ul v-if="isValedItems" class="group">
      <li v-for="item in items" :key="item" >
        <div class="content">{{item}}</div>
        <button v-if="input" class="btn-trash" v-on:click="del(item)">
          <img :src="trash"/>
        </button>
      </li >
      </ul>
      <AddInput
        v-if="input"
        :placeHolder="title"
        :addCallback="cardAdd"
      />
    </div>
  </div>
</template>

<script>
import AddInput from '../components/inputs/AddInput'
import Trash from '../assets/icons/bin.svg'
export default {
  props: ['title', 'numerator', 'items', 'add', 'remove', 'input'],
  components: {
    AddInput,
  },
  data () {
    return {
      trash: Trash,
      isValedItems: false
    }
  },
  methods: {
    cardAdd (value) {
      this.add(value)  
      this.isValedItems = !!this.items.length
    },
    del (item) {
      this.remove(item)
      this.isValedItems = !!this.items.length
    }
  },
  mounted () {
    this.isValedItems = !!this.items.length
  }
}
</script>

<style lang="scss">
.column {
  margin: 2rem;
  h5 {
    display: flex;
    align-items: flex-end;
    margin: 1rem;
    font-size: 2.5rem;
    font-weight: 600;
    text-align: left;
  }

  span {
    background-color: #00CED1;
    margin: 0 1rem;
    padding: 0.5rem;
    color: white;
    border-radius: 4px;
    font-weight: bold;
    font-size: 1.5rem;
  }
}

.group {
  border-radius: 8px;
  border:solid  #F5F5F5  4px;
  border-top: 0;
  padding: 0;
  overflow: hidden;

  li {
    border-top: solid#F5F5F5 4px;
    padding: 1rem 2rem 1rem 2rem;
    margin: 0;
    font-size: 2rem;
    text-align: left;
    display: flex;
    justify-content: space-between;
  }
}

.content {
  font-size: 2rem;
  text-align: left;
  display: flex;
  align-items: center;
}


.btn-trash {
  border: none;
  padding: 0.7rem;
  background-color: #00CED1;
  width: 4rem;
  border-radius: 8px;
  transition: 0.5s;
  
  img {
    width: 100%;
    height: 100%;
  }
}

.btn-trash:hover {
  background-color: #cc0000;
  transition: 0.5s;
}

.card {
  background-color: white;
  border-radius: 8px;
  padding: 1.5rem;
  box-shadow: 5px 5px 8px grey;
}
</style>
